Creates an interviewAsk AIpost https://api.smartrecruiters.com/interviews-api/v201904/interviewsBody ParamsInterview to be addedidstringcandidateobjectrequiredcandidate objectjobIdstringrequiredlocationstringlength ≤ 500organizerIdstringrequiredId of a user from User APItimezonestringrequiredlength ≤ 100Name of the timezone as described in TZ databasetimeslotsarray of objectsrequiredlength between 1 and 50timeslots* objectidstringinterviewTypestringlength ≤ 400titlestringlength ≤ 200placestringlength ≤ 500startsOndate-timerequiredendsOndate-timerequiredinterviewersarray of objectsrequiredlength between 1 and 50interviewers* objectidstringrequiredId of a user from User APIstatusstringenumrequiredaccepteddeclinedpendingtentativeAllowed:accepteddeclinedpendingtentativeADD objectcandidateStatusstringenumaccepteddeclinedpendingtentativeAllowed:accepteddeclinedpendingtentativenoShowbooleantruefalseADD objectcreatedOndate-timeIf not set it defaults to current timerefUrlurlrefIdstringlength ≤ 200Responses 201Created interview 400with codes: INVALID_TIMEZONE when invalid timezone 403Forbidden to create an interview 422When input validation fails or with codes: INACTIVE_OR_DELETED_ORGANIZER when inactive or deleted organizer INACTIVE_OR_DELETED_INTERVIEWERS when at least one of the interviewers is inactive or deleted END_DATE_BEFORE_START_DATE when end date of the timeslot is before start date NON_EXISTING_ORGANIZER when organizer does not exist NON_EXISTING_INTERVIEWERS when at least one of the interviewers does not exist CANDIDATE_NOT_FOUND when candidate with given id not found JOB_NOT_FOUND when job with given id not found APPLICATION_NOT_FOUND when application for given candidate id and job id not found 500Unexpected errorUpdated 7 months ago